Searching \ for '[PIC]: Annoyed at MPLAB' in subject line. ()
Make payments with PayPal - it's fast, free and secure! Help us get a faster server
FAQ page: www.piclist.com/techref/microchip/languages.htm?key=mplab
Search entire site for: 'Annoyed at MPLAB'.

Exact match. Not showing close matches.
PICList Thread
'[PIC]: Annoyed at MPLAB'
2001\04\10@130923 by Roman Black

flavicon
face
I just went to program a 16F876 from MPLAB and
was told that "device not supported". I checked and
F877 is there (which i've used) but not F873, F876 etc.

My Picstart Plus is 2.01 firmware, which is fine for
all these chips.

My MPLAB is 4.00, and when I check the "devices
registered with MPLAB" pull-down in the "about"
menu it tells me I only have PicStart 1.50, which
makes sense as that matches the device selections
it is allowing.

So I have PicStart 2.01 firmware but MPLAB 4.00
thinks it is only PicStart 1.50 firmware.

Ok, so which file do I need to download to fix this?
Obviously something in MPLAB needs to be upgraded.
After spending an hour at microchip.com there doesn't
seem to be any sensible help there. They explain how
to upgrade the PicStart firmware, which I did a year
ago, but they don't tell you how to upgrade MPLAB
so it works... I'm sure they're idiots sometimes.
I'm not going to download the huge buggy 5.xx MPLAB
as my 4.00 version is fine.

Can anyone help, please?
-Roman

--
http://www.piclist.com#nomail Going offline? Don't AutoReply us!
email spam_OUTlistservTakeThisOuTspammitvma.mit.edu with SET PICList DIGEST in the body


2001\04\10@132638 by Roman Black

flavicon
face
Roman Black wrote:

>
> So I have PicStart 2.01 firmware but MPLAB 4.00
> thinks it is only PicStart 1.50 firmware.
>
> Ok, so which file do I need to download to fix this?
> Obviously something in MPLAB needs to be upgraded.
> After spending an hour at microchip.com there doesn't
> seem to be any sensible help there. They explain how
> to upgrade the PicStart firmware, which I did a year
> ago, but they don't tell you how to upgrade MPLAB
> so it works... I'm sure they're idiots sometimes.
> I'm not going to download the huge buggy 5.xx MPLAB
> as my 4.00 version is fine.


OK, after a bit of file hacking i've found the file is
Mpplus.dll
in the main MPLAB directory.

Would anyone who can program 16F876 and 16F873
with their PicStart be kind enough to email me
their Mpplus.dll file?? :o)
Thanks!
-Roman

--
http://www.piclist.com#nomail Going offline? Don't AutoReply us!
email .....listservKILLspamspam@spam@mitvma.mit.edu with SET PICList DIGEST in the body


2001\04\10@132653 by Quentin

flavicon
face
Reading your email I kept on thinking why don't you just upgrade to
5.30, until the end:

> I'm not going to download the huge buggy 5.xx MPLAB
> as my 4.00 version is fine.
I can't seem to remember that 5.30 is worse than 4.00. I would think it
is quit good (if you take in consideration all the bugs that is still
there since before 3.00).

Only thing I can think of is that you tried 5.0x. Now that one was very
buggy, but the problems were sorted with the subsequent releases.
Try 5.30, install it in a separate folder than 4.00, so that you can
still go back.
I agree that the download is huge, why can't they just release the files
that has changed in a patch? Can't see why it could be so difficult as
most of the stuff is modules and only gets repeated.
Quentin

--
http://www.piclist.com#nomail Going offline? Don't AutoReply us!
email listservspamKILLspammitvma.mit.edu with SET PICList DIGEST in the body


2001\04\10@141018 by Roman Black

flavicon
face
<re PicStart plus dll file>

OK, thank you to the nice person who
emailed me the Mpplus.dll but now my 4.00.00
MPLAB is complaining that it won't accept
the new file, unless MPLAB is 4.00.03 or
higher. I don't want to get stuck in a nightmare
of dll swapping so unless someone has a good
suggestion it looks like I will need to download
the bloated new MPLAB and hope it works, then
spend hours moving and re-organising all my
files, complain complain etc. :o(
-Roman

--
http://www.piclist.com#nomail Going offline? Don't AutoReply us!
email .....listservKILLspamspam.....mitvma.mit.edu with SET PICList DIGEST in the body


2001\04\10@180751 by Olin Lathrop

face picon face
> My MPLAB is 4.00,

That is quite old.

> I'm not going to download the huge buggy 5.xx MPLAB
> as my 4.00 version is fine.

Actually not so fine since you seem to be having problems.  I can program
16F876 just fine with a PicStart+ and MPLAB 5.2.  I only have an analog
modem too, but every 6 months or so I bite the bullet and do the big
download.  Some bugs get fixed, occasionally a new one is added, but in the
end I find it best to stay current.

If you don't want to do a large download, you may be able to get a CD from
you local Microchip office.


********************************************************************
Olin Lathrop, embedded systems consultant in Littleton Massachusetts
(978) 742-9014, EraseMEolinspam_OUTspamTakeThisOuTembedinc.com, http://www.embedinc.com

--
http://www.piclist.com#nomail Going offline? Don't AutoReply us!
email listservspamspam_OUTmitvma.mit.edu with SET PICList DIGEST in the body


2001\04\10@180758 by Olin Lathrop

face picon face
> OK, thank you to the nice person who
> emailed me the Mpplus.dll but now my 4.00.00
> MPLAB is complaining that it won't accept
> the new file,

You can't really expect it to work with parts from one version and other
parts from another version.  Yeah the download is a pain, but you'll be done
in a hour or two.


********************************************************************
Olin Lathrop, embedded systems consultant in Littleton Massachusetts
(978) 742-9014, @spam@olinKILLspamspamembedinc.com, http://www.embedinc.com

--
http://www.piclist.com#nomail Going offline? Don't AutoReply us!
email KILLspamlistservKILLspamspammitvma.mit.edu with SET PICList DIGEST in the body


More... (looser matching)
- Last day of these posts
- In 2001 , 2002 only
- Today
- New search...